#!/bin/sh
#
# Simple script to fetch the latest commits via the github API.  Requires
# curl and jq.  Uses unauthenticated access which is ratelimited to 60
# queries per hour.

get_repo_sha()
{
	curl https://api.github.com/repos/CTSRD-CHERI/$1/branches/qemu-cheri | \
	    jq -r '.commit.sha'
}

cat <<EOF > Makefile.snapshot
# \$FreeBSD\$
#
# Generated file!  Do not edit!  
#
# Generated by: files/gen-Makefile.snapshot.sh.
#
SNAPDATE=	$(date +%Y%m%d)

QEMU_COMMIT=		$(get_repo_sha qemu)
EOF
